List team players
GET/v1/teams/{teamId}/players
GET
/v1/teams/{teamId}/players
const url = 'https://api.ligr.live/rest/v1/teams/1/players';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v1/teams/1/players \ --header 'Authorization: Bearer <token>'Return the players on a team.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”teamId
required
Entity identifier
integer format: int32
The team id
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
teamPlayers
required
Array<object>
object
id
required
Entity identifier
integer format: int32
firstName
required
Default Player first name
string
gfxFirstName
required
Name predominantly display in graphics
string
gfxLastName
required
Name predominantly display in graphics
string
lastName
required
Default Player first name
string
position
required
string
positionType
required
string
number
required
string
starter
required
boolean
bench
required
boolean
captain
required
boolean
photoUrl
string
count
required
integer format: int32
Example
{ "count": 24}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Team not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}